umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
UMLStereotype::AttributeDef Class Reference

`#include <stereotype.h>`

## Public Member Functions
| AttributeDef ()
| AttributeDef (QString nm, Uml::PrimitiveTypes::Enum t, QString dfltVal=QString())
virtual | ~AttributeDef ()

## Public Attributes
QString | name
Uml::PrimitiveTypes::Enum | type
QString | defaultVal

## Constructor & Destructor Documentation

## ◆ AttributeDef() [1/2]

UMLStereotype::AttributeDef::AttributeDef | ( |  | ) |
| inline

## ◆ AttributeDef() [2/2]

UMLStereotype::AttributeDef::AttributeDef | ( | QString | nm,
|  | Uml::PrimitiveTypes::Enum | t,
|  | QString | dfltVal = QString() )
| inline

## ◆ ~AttributeDef()

virtual UMLStereotype::AttributeDef::~AttributeDef | ( |  | ) |
| inline virtual

## Member Data Documentation

## ◆ defaultVal

QString UMLStereotype::AttributeDef::defaultVal

## ◆ name

QString UMLStereotype::AttributeDef::name

## ◆ type

Uml::PrimitiveTypes::Enum UMLStereotype::AttributeDef::type

The documentation for this class was generated from the following file:

- umbrello/umlmodel/stereotype.h